/**
 *****************************************************************************
   @file     ADT7310SPI.h
   @brief    Set of functions to interface ADuCM360 to ADT7310 via SPI.
   @version  V0.1
   @author   ADI
   @date     July 2013 

All files for ADuCM360/61 provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

*****************************************************************************/

extern int ADT7310_SPICFG(int Resolution,int iMode,int CT,int INT,int INTCTmode,int Fault_queue);
extern long ADT7310_SPI_Status(char REG_Address);
extern float ADT7310_SPIGetTemperature(void);
extern int ADT7310_SPI_T_Setpoint(int REG_Address,int value);
extern int ADT7310_Reset(void);

/* Parameter values for ADT7310_SPICFG(int Resolution,int iMode,int CT,int INT,int INTCTmode,int Fault_queue) */
/* Resolution */
#define Bit_16      1
#define Bit_13      0
/* iMode */ 
#define cont_conv   0
#define one_shot    1
#define SPS_mode    2
#define Shutdown    3
/* CT */
#define CT_pin_L    0
#define CT_pin_H    1
/* INT */
#define INT_pin_L   0
#define INT_pin_H   1
/* INTCTmode */
#define interupt_mode  0
#define comparator_mode 1
/* Fault_queue */
#define fault_1     0
#define fault_2     1
#define fault_3     2
#define fault_4     3

/*REG_Address parameter values for ADT7310_SPI_Status(char REG_Address) */
#define Status            0x00
#define Configuration     0x01
#define REG_ID            0x03

/*REG_Address parameter values for ADT7310_SPI_T_Setpoint(int REG_Address,int value) 
 & ADT7310_SPI_Status(char REG_Address)*/
#define T_Crit_Setpoint   0x04
#define T_Hyst_Setpoint   0x05
#define T_High_Setpoint   0x06
#define T_Low_Setpoint    0x07


